## golang-github-opencontainers-image-spec 1.0.0~rc2+dfsg

=== Makefile ===
GO15VENDOREXPERIMENT=1
export GO15VENDOREXPERIMENT

DOCKER ?= $(shell command -v docker 2>/dev/null)
PANDOC ?= $(shell command -v pandoc 2>/dev/null)

ifeq "$(strip $(PANDOC))" ''
	ifneq "$(strip $(DOCKER))" ''
		PANDOC = $(DOCKER) run \
			-it \
			--rm \
			-v $(shell pwd)/:/input/:ro \
			-v $(shell pwd)/$(OUTPUT_DIRNAME)/:/$(OUTPUT_DIRNAME)/ \
			-u $(shell id -u) \
			--workdir /input \
			docker.io/vbatts/pandoc:1.16.0.2-1.fc24
		PANDOC_SRC := /input/
		PANDOC_DST := /
	endif
endif

# These docs are in an order that determines how they show up in the PDF/HTML docs.
DOC_FILES := \
	README.md \
	code-of-conduct.md \
	project.md \
	media-types.md \
	descriptor.md \
	image-layout.md \
	layer.md \
	config.md \
	manifest.md \
	manifest-list.md \
	canonicalization.md

FIGURE_FILES := \
	img/media-types.png

OUTPUT_DIRNAME		?= output/
DOC_FILENAME	?= oci-image-spec

EPOCH_TEST_COMMIT ?= v0.2.0

default: help

help:
	@echo "Usage: make <target>"
	@echo
	@echo " * 'docs' - produce document in the $(OUTPUT_DIRNAME) directory"
	@echo " * 'fmt' - format the json with indentation"
	@echo " * 'validate-examples' - validate the examples in the specification markdown files"
	@echo " * 'oci-image-tool' - build the oci-image-tool binary"
	@echo " * 'schema-fs' - regenerate the virtual schema http/FileSystem"
	@echo " * 'check-license' - check license headers in source files"
	@echo " * 'lint' - Execute the source code linter"
	@echo " * 'test' - Execute the unit tests"
	@echo " * 'update-deps' - Update vendored dependencies"
	@echo " * 'img/*.png' - Generate PNG from dot file"

fmt:
	for i in schema/*.json ; do jq --indent 2 -M . "$${i}" > xx && cat xx > "$${i}" && rm xx ; done

docs: $(OUTPUT_DIRNAME)/$(DOC_FILENAME).pdf $(OUTPUT_DIRNAME)/$(DOC_FILENAME).html

ifeq "$(strip $(PANDOC))" ''
$(OUTPUT_DIRNAME)/$(DOC_FILENAME).pdf: $(DOC_FILES) $(FIGURE_FILES)
	$(error cannot build $@ without either pandoc or docker)
else
$(OUTPUT_DIRNAME)/$(DOC_FILENAME).pdf: $(DOC_FILES) $(FIGURE_FILES)
	@mkdir -p $(OUTPUT_DIRNAME)/ && \
	$(PANDOC) -f markdown_github -t latex -o $(PANDOC_DST)$@ $(patsubst %,$(PANDOC_SRC)%,$(DOC_FILES))
	ls -sh $(shell readlink -f $@)

$(OUTPUT_DIRNAME)/$(DOC_FILENAME).html: $(DOC_FILES) $(FIGURE_FILES)
	@mkdir -p $(OUTPUT_DIRNAME)/ && \
	cp -ap img/ $(shell pwd)/$(OUTPUT_DIRNAME)/&& \
	$(PANDOC) -f markdown_github -t html5 -o $(PANDOC_DST)$@ $(patsubst %,$(PANDOC_SRC)%,$(DOC_FILES))
	ls -sh $(shell readlink -f $@)
endif

code-of-conduct.md:
	curl -o $@ https://raw.githubusercontent.com/opencontainers/tob/d2f9d68c1332870e40693fe077d311e0742bc73d/code-of-conduct.md

validate-examples:
	go test -run TestValidate ./schema

oci-image-tool:
	go build ./cmd/oci-image-tool

schema-fs:
	@echo "generating schema fs"
	@cd schema && printf "%s\n\n%s\n" "$$(cat ../.header)" "$$(go generate)" > fs.go

check-license:
	@echo "checking license headers"
	@./.tool/check-license

lint:
	@echo "checking lint"
	@./.tool/lint

test:
	go test -race -cover $(shell go list ./... | grep -v /vendor/)

## this uses https://github.com/Masterminds/glide and https://github.com/sgotti/glide-vc
update-deps:
	@which glide > /dev/null 2>/dev/null || (echo "ERROR: glide not found. Consider 'make install.tools' target" && false)
	glide update --strip-vcs --strip-vendor --update-vendored --delete
	glide-vc --only-code --no-tests
	# see http://sed.sourceforge.net/sed1line.txt
	find vendor -type f -exec sed -i -e :a -e '/^\n*$$/{$$d;N;ba' -e '}' "{}" \;

img/%.png: img/%.dot
	dot -Tpng $^ > $@

.PHONY: .gitvalidation

# When this is running in travis, it will only check the travis commit range
.gitvalidation:
	@which git-validation > /dev/null 2>/dev/null || (echo "ERROR: git-validation not found. Consider 'make install.tools' target" && false)
ifeq ($(TRAVIS),true)
	git-validation -q -run DCO,short-subject,dangling-whitespace
else
	git-validation -v -run DCO,short-subject,dangling-whitespace -range $(EPOCH_TEST_COMMIT)..HEAD
endif

.PHONY: install.tools

install.tools: .install.gitvalidation .install.glide .install.glide-vc

.install.gitvalidation:
	go get github.com/vbatts/git-validation

.install.glide:
	go get github.com/Masterminds/glide

.install.glide-vc:
	go get github.com/sgotti/glide-vc

clean:
	rm -rf *~ $(OUTPUT_DIRNAME)
	rm -f oci-image-tool

.PHONY: \
	validate-examples \
	oci-image-tool \
	check-license \
	clean \
	lint \
	docs \
	test

=== debian/changelog ===
golang-github-opencontainers-image-spec (1.0.0~rc2+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #844127).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 13 Nov 2016 06:05:23 +1100

=== debian/control ===
Source: golang-github-opencontainers-image-spec
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9)
    ,dh-golang
    ,golang-go
    ,golang-github-pkg-errors-dev
    ,golang-github-opencontainers-specs-dev
    ,golang-github-spf13-cobra-dev
    ,golang-github-xeipuuv-gojsonschema-dev (>= 0.0~git20161105~)
    ,go-md2man
Standards-Version: 3.9.8
Homepage: https://github.com/opencontainers/image-spec
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-opencontainers-image-spec.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-opencontainers-image-spec.git
XS-Go-Import-Path: github.com/opencontainers/image-spec

Package: golang-github-opencontainers-image-spec-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
    ,golang-go
Description: Open Container Initiative (OCI) Image Format Specification
 The OCI Image Format project creates and maintains the software shipping
 container image format spec (OCI Image Format). The goal of this
 specification is to enable the creation of interoperable tools for
 building, transporting, and preparing a container image to run.

Package: oci-image-tool
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tool for working with OCI images
 `oci-image-tool` is a collection of tools for working with the [OCI image
 specification](https://github.com/opencontainers/image-spec)

=== debian/rules ===
#!/usr/bin/make -f

#export DH_GOLANG_INSTALL_ALL := 1
#export DH_GOLANG_INSTALL_EXTRA = schema

MANPAGES := $(patsubst %.md, %, $(wildcard cmd/oci-image-tool/man/*.md))

$(MANPAGES):
	go-md2man --in $(patsubst %,%.md, $@) --out $@

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_clean:
	dh_clean $(MANPAGES)

override_dh_auto_install: $(MANPAGES)
	dh_auto_install

## golang-github-opencontainers-image-spec 1.0.1

=== debian/changelog ===
golang-github-opencontainers-image-spec (1.0.1-1) unstable; urgency=medium

  * New upstream version
  * Stop vendoring go4.org/errorutil in favor of build-dep on golang-go4-dev
  * Add myself to uploaders
  * Fix Build-Deps/Depends

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 17 Feb 2018 13:13:31 +0100

=== debian/control ===
Source: golang-github-opencontainers-image-spec
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 9)
    ,dh-golang
    ,golang-any
    ,golang-github-pkg-errors-dev
    ,golang-github-opencontainers-specs-dev
    ,golang-github-spf13-cobra-dev
    ,golang-github-xeipuuv-gojsonschema-dev (>= 0.0~git20161105~)
    ,golang-github-opencontainers-go-digest-dev
    ,golang-go4-dev
    ,go-md2man
Standards-Version: 3.9.8
Homepage: https://github.com/opencontainers/image-spec
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-opencontainers-image-spec.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-opencontainers-image-spec.git
XS-Go-Import-Path: github.com/opencontainers/image-spec

Package: golang-github-opencontainers-image-spec-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
    ,golang-github-pkg-errors-dev
    ,golang-github-opencontainers-specs-dev
    ,golang-github-spf13-cobra-dev
    ,golang-github-xeipuuv-gojsonschema-dev (>= 0.0~git20161105~)
    ,golang-github-opencontainers-go-digest-dev
    ,golang-go4-dev
Description: Open Container Initiative (OCI) Image Format Specification
 The OCI Image Format project creates and maintains the software shipping
 container image format spec (OCI Image Format). The goal of this
 specification is to enable the creation of interoperable tools for
 building, transporting, and preparing a container image to run.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_GOLANG_INSTALL_ALL := 1
#export DH_GOLANG_INSTALL_EXTRA = schema

%:
	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
version=3

opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg//,\
uversionmangle=s{\-rc}{~rc},\
 https://github.com/opencontainers/image-spec/releases \
 .*/archive/v?(\d[\d\.\-rc]+)\.tar\.gz

## golang-github-opencontainers-image-spec 1.0.2

=== debian/changelog ===
golang-github-opencontainers-image-spec (1.0.2-2) unstable; urgency=medium

  * Team upload.
  * Add Breaks for golang-github-containerd-containerd-dev
  * Add multi arch hint

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 20 Nov 2021 16:33:15 +0800

golang-github-opencontainers-image-spec (1.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.2
    + Mitigate CVE-2021-41190
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 20 Nov 2021 02:28:27 +0800

golang-github-opencontainers-image-spec (1.0.1-5) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Shengjing Zhu ]
  * Drop go4 dependency
  * Update uscan watch file to version 4
  * Bump debhelper-compat to 13
  * Update Standards-Version to 4.5.1 (no changes)
  * Update Section to golang
  * Copy markdown specs to build dir

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 17 Jan 2021 01:50:34 +0800

golang-github-opencontainers-image-spec (1.0.1-4) unstable; urgency=medium

  * Team upload.
  * Drop unused golang-github-spf13-cobra-dev from Depends
  * Drop unused golang-github-opencontainers-specs-dev from Depends
  * Update Standards-Version to 4.5.0 (no changes)
  * Update maintainer address to team+pkg-go@tracker.debian.org
  * Switch to debhelper-compat format
  * Drop unused go-md2man from Build-Depends
  * Remove unused Files-Excluded field in d/copyright
  * Remove unused comments in d/rules
  * Add Rules-Requires-Root
  * Backport upstream patch to build with new gojsonschema

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 23 Mar 2020 00:16:35 +0800

golang-github-opencontainers-image-spec (1.0.1-3) unstable; urgency=medium

  * Priority: optional; Standards-Version: 4.4.1.
  * Testsuite: autopkgtest-pkg-go.
  * DH & compat to version 12.
  * Enabled tests.
  * Install "schema".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 04 Nov 2019 02:24:00 +1100

golang-github-opencontainers-image-spec (1.0.1-2) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Reinhard Tartler ]
  * add patch from upstream: zstd constants

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 19 Oct 2019 22:54:29 -0400

=== debian/control ===
Source: golang-github-opencontainers-image-spec
Section: golang
Priority: optional
Standards-Version: 4.6.0
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-opencontainers-go-digest-dev,
               golang-github-pkg-errors-dev,
               golang-github-russross-blackfriday-dev,
               golang-github-xeipuuv-gojsonschema-dev (>= 1.2.0~),
Homepage: https://github.com/opencontainers/image-spec
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-image-spec
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-image-spec.git
XS-Go-Import-Path: github.com/opencontainers/image-spec
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go

Package: golang-github-opencontainers-image-spec-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-opencontainers-go-digest-dev,
         golang-github-pkg-errors-dev,
         golang-github-xeipuuv-gojsonschema-dev (>= 1.2.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: golang-github-containerd-containerd-dev (<< 1.5.8~ds1-2~),
Description: Open Container Initiative (OCI) Image Format Specification
 The OCI Image Format project creates and maintains the software shipping
 container image format spec (OCI Image Format). The goal of this
 specification is to enable the creation of interoperable tools for
 building, transporting, and preparing a container image to run.

=== debian/watch ===
version=4
opts=filenamemangle=s%.*/v?(\d\S*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
uversionmangle=s%(\d)-(rc|beta|alpha)\.?(\d*)$%$1~$2$3% \
  https://github.com/opencontainers/image-spec/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-opencontainers-image-spec 1.0.2+20211123.g43a7dee1ec31

=== Makefile ===
EPOCH_TEST_COMMIT ?= v0.2.0

DOCKER ?= $(shell command -v docker 2>/dev/null)
PANDOC ?= $(shell command -v pandoc 2>/dev/null)

OUTPUT_DIRNAME	?= output
DOC_FILENAME	?= oci-image-spec

PANDOC_CONTAINER ?= ghcr.io/opencontainers/pandoc:2.9.2.1-8.fc33.x86_64@sha256:5d81ff930a043295a557be8b003ece2a33d14e91b28c50d368413b83372f8d28
ifeq "$(strip $(PANDOC))" ''
	ifneq "$(strip $(DOCKER))" ''
		PANDOC = $(DOCKER) run \
			--rm \
			-v $(shell pwd)/:/input/:ro \
			-v $(shell pwd)/$(OUTPUT_DIRNAME)/:/$(OUTPUT_DIRNAME)/ \
			-u $(shell id -u) \
			--workdir /input \
			$(PANDOC_CONTAINER)
		PANDOC_SRC := /input/
		PANDOC_DST := /
	endif
endif

# These docs are in an order that determines how they show up in the PDF/HTML docs.
DOC_FILES := \
	spec.md \
	media-types.md \
	descriptor.md \
	image-layout.md \
	manifest.md \
	image-index.md \
	layer.md \
	config.md \
	annotations.md \
	conversion.md \
	considerations.md \
	implementations.md

FIGURE_FILES := \
	img/media-types.png

TOOLS := esc gitvalidation glide glide-vc

default: check-license lint test

help:
	@echo "Usage: make <target>"
	@echo
	@echo " * 'docs' - produce document in the $(OUTPUT_DIRNAME) directory"
	@echo " * 'fmt' - format the json with indentation"
	@echo " * 'validate-examples' - validate the examples in the specification markdown files"
	@echo " * 'schema-fs' - regenerate the virtual schema http/FileSystem"
	@echo " * 'check-license' - check license headers in source files"
	@echo " * 'lint' - Execute the source code linter"
	@echo " * 'test' - Execute the unit tests"
	@echo " * 'img/*.png' - Generate PNG from dot file"

fmt:
	for i in schema/*.json ; do jq --indent 2 -M . "$${i}" > xx && cat xx > "$${i}" && rm xx ; done

docs: $(OUTPUT_DIRNAME)/$(DOC_FILENAME).pdf $(OUTPUT_DIRNAME)/$(DOC_FILENAME).html

ifeq "$(strip $(PANDOC))" ''
$(OUTPUT_DIRNAME)/$(DOC_FILENAME).pdf: $(DOC_FILES) $(FIGURE_FILES)
	$(error cannot build $@ without either pandoc or docker)
else
$(OUTPUT_DIRNAME)/$(DOC_FILENAME).pdf: $(DOC_FILES) $(FIGURE_FILES)
	@mkdir -p $(OUTPUT_DIRNAME)/ && \
	$(PANDOC) -f gfm -t latex --pdf-engine=xelatex -V geometry:margin=0.5in,bottom=0.8in -V block-headings -o $(PANDOC_DST)$@ $(patsubst %,$(PANDOC_SRC)%,$(DOC_FILES))
	ls -sh $(realpath $@)

$(OUTPUT_DIRNAME)/$(DOC_FILENAME).html: header.html $(DOC_FILES) $(FIGURE_FILES)
	@mkdir -p $(OUTPUT_DIRNAME)/ && \
	cp -ap img/ $(shell pwd)/$(OUTPUT_DIRNAME)/&& \
	$(PANDOC) -f gfm -t html5 -H $(PANDOC_SRC)header.html --standalone -o $(PANDOC_DST)$@ $(patsubst %,$(PANDOC_SRC)%,$(DOC_FILES))
	ls -sh $(realpath $@)
endif

header.html: .tool/genheader.go specs-go/version.go
	go run .tool/genheader.go > $@

validate-examples: schema/fs.go
	go test -run TestValidate ./schema

schema/fs.go: $(wildcard schema/*.json) schema/gen.go
	cd schema && printf "%s\n\n%s\n" "$$(cat ../.header)" "$$(go generate)" > fs.go

schema-fs: schema/fs.go
	@echo "generating schema fs"

check-license:
	@echo "checking license headers"
	@./.tool/check-license

lint:
	@echo "checking lint"
	@./.tool/lint

test: schema/fs.go
	go test -race -cover $(shell go list ./... | grep -v /vendor/)

img/%.png: img/%.dot
	dot -Tpng $^ > $@


# When this is running in GitHub, it will only check the commit range
.gitvalidation:
	@which git-validation > /dev/null 2>/dev/null || (echo "ERROR: git-validation not found. Consider 'make install.tools' target" && false)
ifdef GITHUB_SHA
	git-validation -q -run DCO,short-subject,dangling-whitespace -range $(GITHUB_SHA)..HEAD
else
	git-validation -v -run DCO,short-subject,dangling-whitespace -range $(EPOCH_TEST_COMMIT)..HEAD
endif

install.tools: $(TOOLS:%=.install.%)

.install.esc:
	go get -u github.com/mjibson/esc

.install.gitvalidation:
	go get -u github.com/vbatts/git-validation

.install.glide:
	go get -u github.com/Masterminds/glide

.install.glide-vc:
	go get -u github.com/sgotti/glide-vc

clean:
	rm -rf *~ $(OUTPUT_DIRNAME) header.html

.PHONY: \
	$(TOOLS:%=.install.%) \
	validate-examples \
	check-license \
	clean \
	lint \
	install.tools \
	docs \
	test \
	.gitvalidation \
	schema/fs.go \
	schema-fs

=== debian/changelog ===
golang-github-opencontainers-image-spec (1.0.2+20211123.g43a7dee1ec31-2) unstable; urgency=medium

  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 16 Aug 2022 10:16:44 +0200

golang-github-opencontainers-image-spec (1.0.2+20211123.g43a7dee1ec31-1) experimental; urgency=medium

  * New upstream snapshot, Closes: #995876
  * Add myself to uploaders

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 16 May 2022 07:54:23 -0400

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
            Michael Stapelberg <stapelberg@debian.org>,
+           Reinhard Tartler <siretart@tauware.de>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,

## golang-github-opencontainers-image-spec 1.1.0~rc2

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 DOCKER ?= $(shell command -v docker 2>/dev/null)
 PANDOC ?= $(shell command -v pandoc 2>/dev/null)
+
+GOPATH:=$(shell go env GOPATH)
 
 OUTPUT_DIRNAME	?= output
 DOC_FILENAME	?= oci-image-spec
@@ -39,7 +41,7 @@
 FIGURE_FILES := \
 	img/media-types.png
 
-TOOLS := esc gitvalidation glide glide-vc
+TOOLS := esc gitvalidation 
 
 default: check-license lint test
 
@@ -49,7 +51,6 @@
 	@echo " * 'docs' - produce document in the $(OUTPUT_DIRNAME) directory"
 	@echo " * 'fmt' - format the json with indentation"
 	@echo " * 'validate-examples' - validate the examples in the specification markdown files"
-	@echo " * 'schema-fs' - regenerate the virtual schema http/FileSystem"
 	@echo " * 'check-license' - check license headers in source files"
 	@echo " * 'lint' - Execute the source code linter"
 	@echo " * 'test' - Execute the unit tests"
@@ -79,22 +80,16 @@
 header.html: .tool/genheader.go specs-go/version.go
 	go run .tool/genheader.go > $@
 
-validate-examples: schema/fs.go
+validate-examples: schema/schema.go
 	go test -run TestValidate ./schema
-
-schema/fs.go: $(wildcard schema/*.json) schema/gen.go
-	cd schema && printf "%s\n\n%s\n" "$$(cat ../.header)" "$$(go generate)" > fs.go
-
-schema-fs: schema/fs.go
-	@echo "generating schema fs"
 
 check-license:
 	@echo "checking license headers"
 	@./.tool/check-license
 
-lint:
+lint: .install.lint
 	@echo "checking lint"
-	@./.tool/lint
+	@GO111MODULE=on $(GOPATH)/bin/golangci-lint run
 
 test: schema/fs.go
 	go test -race -cover $(shell go list ./... | grep -v /vendor/)
@@ -107,24 +102,22 @@
 .gitvalidation:
 	@which git-validation > /dev/null 2>/dev/null || (echo "ERROR: git-validation not found. Consider 'make install.tools' target" && false)
 ifdef GITHUB_SHA
-	git-validation -q -run DCO,short-subject,dangling-whitespace -range $(GITHUB_SHA)..HEAD
+	$(GOPATH)/bin/git-validation -q -run DCO,short-subject,dangling-whitespace -range $(GITHUB_SHA)..HEAD
 else
-	git-validation -v -run DCO,short-subject,dangling-whitespace -range $(EPOCH_TEST_COMMIT)..HEAD
+	$(GOPATH)/bin/git-validation -v -run DCO,short-subject,dangling-whitespace -range $(EPOCH_TEST_COMMIT)..HEAD
 endif
 
 install.tools: $(TOOLS:%=.install.%)
 
-.install.esc:
-	go get -u github.com/mjibson/esc
+.install.lint:
+	case "$$(go env GOVERSION)" in \
+	go1.17.*)	go install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.47.3;; \
+	go1.18.*)	go install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.47.3;; \
+	*) go install github.com/golangci/golangci-lint/cmd/golangci-lint@latest;; \
+	esac
 
 .install.gitvalidation:
-	go get -u github.com/vbatts/git-validation
-
-.install.glide:
-	go get -u github.com/Masterminds/glide
-
-.install.glide-vc:
-	go get -u github.com/sgotti/glide-vc
+	go install github.com/vbatts/git-validation@latest
 
 clean:
 	rm -rf *~ $(OUTPUT_DIRNAME) header.html

=== debian/changelog ===
golang-github-opencontainers-image-spec (1.1.0~rc2-3) unstable; urgency=medium

  * Team upload.
  * Breaks golang-github-containers-image-dev << 5.23.1-4~

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 04 Apr 2023 00:48:45 +0800

golang-github-opencontainers-image-spec (1.1.0~rc2-2) unstable; urgency=medium

  * Team upload.
  * Backport ArgsEscaped field in image config.
    For containerd 1.6.20

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 01 Apr 2023 01:42:26 +0800

golang-github-opencontainers-image-spec (1.1.0~rc2-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 05 Feb 2023 08:41:37 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: golang-github-opencontainers-image-spec
 Section: golang
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
            Michael Stapelberg <stapelberg@debian.org>,
-           Reinhard Tartler <siretart@tauware.de>
+           Reinhard Tartler <siretart@tauware.de>,
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
@@ -29,6 +29,7 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: golang-github-containerd-containerd-dev (<< 1.5.8~ds1-2~),
+        golang-github-containers-image-dev (<< 5.23.1-4~),
 Description: Open Container Initiative (OCI) Image Format Specification
  The OCI Image Format project creates and maintains the software shipping
  container image format spec (OCI Image Format). The goal of this

## golang-github-opencontainers-image-spec 1.1.0~rc4

=== debian/changelog ===
golang-github-opencontainers-image-spec (1.1.0~rc4-3) unstable; urgency=medium

  * debian/control: account for API breaks in containers/image and umoci

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 20 Sep 2023 08:33:29 -0400

golang-github-opencontainers-image-spec (1.1.0~rc4-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 18 Sep 2023 18:01:26 -0400

golang-github-opencontainers-image-spec (1.1.0~rc4-1) experimental; urgency=medium

  * new upstream release
  * drop patches, merged upstream

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 16 Sep 2023 10:09:21 -0400

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,8 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: golang-github-containerd-containerd-dev (<< 1.5.8~ds1-2~),
-        golang-github-containers-image-dev (<< 5.23.1-4~),
+        golang-github-containers-image-dev (<< 5.26~),
+        golang-github-opensuse-umoci-dev (<< 0.4.7+ds-4),
 Description: Open Container Initiative (OCI) Image Format Specification
  The OCI Image Format project creates and maintains the software shipping
  container image format spec (OCI Image Format). The goal of this

## golang-github-opencontainers-image-spec 1.1.0~rc5

=== Makefile ===
--- 
+++ 
@@ -41,25 +41,18 @@
 FIGURE_FILES := \
 	img/media-types.png
 
-TOOLS := esc gitvalidation 
+MARKDOWN_LINT_VER?=v0.8.1
+
+TOOLS := gitvalidation 
 
 default: check-license lint test
 
-help:
-	@echo "Usage: make <target>"
-	@echo
-	@echo " * 'docs' - produce document in the $(OUTPUT_DIRNAME) directory"
-	@echo " * 'fmt' - format the json with indentation"
-	@echo " * 'validate-examples' - validate the examples in the specification markdown files"
-	@echo " * 'check-license' - check license headers in source files"
-	@echo " * 'lint' - Execute the source code linter"
-	@echo " * 'test' - Execute the unit tests"
-	@echo " * 'img/*.png' - Generate PNG from dot file"
-
-fmt:
+.PHONY: fmt
+fmt: ## format the json with indentation
 	for i in schema/*.json ; do jq --indent 2 -M . "$${i}" > xx && cat xx > "$${i}" && rm xx ; done
 
-docs: $(OUTPUT_DIRNAME)/$(DOC_FILENAME).pdf $(OUTPUT_DIRNAME)/$(DOC_FILENAME).html
+.PHONY: docs
+docs: $(OUTPUT_DIRNAME)/$(DOC_FILENAME).pdf $(OUTPUT_DIRNAME)/$(DOC_FILENAME).html ## generate a PDF/HTML version of the OCI image specification
 
 ifeq "$(strip $(PANDOC))" ''
 $(OUTPUT_DIRNAME)/$(DOC_FILENAME).pdf: $(DOC_FILES) $(FIGURE_FILES)
@@ -80,25 +73,39 @@
 header.html: .tool/genheader.go specs-go/version.go
 	go run .tool/genheader.go > $@
 
-validate-examples: schema/schema.go
+.PHONY: validate-examples
+validate-examples: schema/schema.go ## validate examples in the specification markdown files
 	go test -run TestValidate ./schema
 
-check-license:
+.PHONY: check-license
+check-license: ## check license headers in source files
 	@echo "checking license headers"
 	@./.tool/check-license
 
-lint: .install.lint
-	@echo "checking lint"
+.PHONY: lint
+
+.PHONY: lint
+lint: lint-go lint-md ## Run all linters
+
+.PHONY: lint-go
+lint-go: .install.lint ## lint check of Go files using golangci-lint
+	@echo "checking Go lint"
 	@GO111MODULE=on $(GOPATH)/bin/golangci-lint run
 
-test: schema/fs.go
+.PHONY: lint-md
+lint-md: ## Run linting for markdown
+	docker run --rm -v "$(PWD):/workdir:ro" docker.io/davidanson/markdownlint-cli2:$(MARKDOWN_LINT_VER) \
+	  "**/*.md" "#vendor"
+
+.PHONY: test
+test: ## run the unit tests
 	go test -race -cover $(shell go list ./... | grep -v /vendor/)
 
-img/%.png: img/%.dot
+img/%.png: img/%.dot ## generate PNG from dot file
 	dot -Tpng $^ > $@
 
-
 # When this is running in GitHub, it will only check the commit range
+.PHONY: .gitvalidation
 .gitvalidation:
 	@which git-validation > /dev/null 2>/dev/null || (echo "ERROR: git-validation not found. Consider 'make install.tools' target" && false)
 ifdef GITHUB_SHA
@@ -107,30 +114,25 @@
 	$(GOPATH)/bin/git-validation -v -run DCO,short-subject,dangling-whitespace -range $(EPOCH_TEST_COMMIT)..HEAD
 endif
 
+.PHONY: .install.tools
 install.tools: $(TOOLS:%=.install.%)
 
+.PHONY: .install.lint
 .install.lint:
 	case "$$(go env GOVERSION)" in \
-	go1.17.*)	go install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.47.3;; \
 	go1.18.*)	go install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.47.3;; \
+	go1.19.*)	go install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.54.1;; \
 	*) go install github.com/golangci/golangci-lint/cmd/golangci-lint@latest;; \
 	esac
 
+.PHONY: .install.gitvalidation
 .install.gitvalidation:
 	go install github.com/vbatts/git-validation@latest
 
-clean:
+.PHONY: clean
+clean: ## clean all generated and compiled artifacts
 	rm -rf *~ $(OUTPUT_DIRNAME) header.html
 
-.PHONY: \
-	$(TOOLS:%=.install.%) \
-	validate-examples \
-	check-license \
-	clean \
-	lint \
-	install.tools \
-	docs \
-	test \
-	.gitvalidation \
-	schema/fs.go \
-	schema-fs
+.PHONY: help
+help: # Display help
+	@awk -F ':|##' '/^[^\t].+?:.*?##/ { printf "\033[36m%-30s\033[0m %s\n", $$1, $$NF }' $(MAKEFILE_LIST)

=== debian/changelog ===
golang-github-opencontainers-image-spec (1.1.0~rc5-1) unstable; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 22 Nov 2023 18:58:53 +0000

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
          ${shlibs:Depends},
 Breaks: golang-github-containerd-containerd-dev (<< 1.5.8~ds1-2~),
         golang-github-containers-image-dev (<< 5.26~),
-        golang-github-opensuse-umoci-dev (<< 0.4.7+ds-4),
+        golang-github-opensuse-umoci-dev (<< 0.4.7+ds-4~),
 Description: Open Container Initiative (OCI) Image Format Specification
  The OCI Image Format project creates and maintains the software shipping
  container image format spec (OCI Image Format). The goal of this

## golang-github-opencontainers-image-spec 1.1.0

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 
 MARKDOWN_LINT_VER?=v0.8.1
 
-TOOLS := gitvalidation 
+TOOLS := gitvalidation
 
 default: check-license lint test

=== debian/changelog ===
golang-github-opencontainers-image-spec (1.1.0-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Nilesh Patra <nilesh@debian.org>  Mon, 19 Aug 2024 23:59:06 +0530

golang-github-opencontainers-image-spec (1.1.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 08 May 2024 07:26:17 -0400

golang-github-opencontainers-image-spec (1.1.0-1) experimental; urgency=medium

  * New upstream release: 1.1.0

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 20 Mar 2024 13:48:05 -0400

golang-github-opencontainers-image-spec (1.1.0~rc4-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Relax Breaks condition on umoci

 -- Nilesh Patra <nilesh@debian.org>  Fri, 20 Oct 2023 02:52:20 +0530

## golang-github-opencontainers-image-spec 1.1.1

=== Makefile ===
--- 
+++ 
@@ -122,6 +122,8 @@
 	case "$$(go env GOVERSION)" in \
 	go1.18.*)	go install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.47.3;; \
 	go1.19.*)	go install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.54.1;; \
+	go1.20.*)	go install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.55.2;; \
+	go1.21.*)	go install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.59.1;; \
 	*) go install github.com/golangci/golangci-lint/cmd/golangci-lint@latest;; \
 	esac

=== debian/changelog ===
golang-github-opencontainers-image-spec (1.1.1-1) unstable; urgency=medium

  * New upstream release: 1.1.1

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 04 Nov 2025 06:02:08 -0500

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                golang-github-opencontainers-go-digest-dev,
                golang-github-pkg-errors-dev,
                golang-github-russross-blackfriday-dev,
-               golang-github-xeipuuv-gojsonschema-dev (>= 1.2.0~),
+               golang-github-santhosh-tekuri-jsonschema-dev,
 Homepage: https://github.com/opencontainers/image-spec
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-image-spec
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-image-spec.git
@@ -25,7 +25,7 @@
 Multi-Arch: foreign
 Depends: golang-github-opencontainers-go-digest-dev,
          golang-github-pkg-errors-dev,
-         golang-github-xeipuuv-gojsonschema-dev (>= 1.2.0~),
+         golang-github-santhosh-tekuri-jsonschema-dev,
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: golang-github-containerd-containerd-dev (<< 1.5.8~ds1-2~),

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA = $(shell find ./schema -type f -name '*.json')
export DH_GOLANG_INSTALL_EXTRA += config.md descriptor.md image-index.md image-layout.md manifest.md
export DH_GOLANG_EXCLUDES = .tool

%:
	dh $@ --buildsystem=golang --with=golang
